Log4j Version 1.2.7: Class QuietWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class QuietWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--java.io.FilterWriter
                  |
                  +--org.apache.log4j.helpers.QuietWriter

Direct Known Subclasses:
  CountingQuietWriter, SyslogQuietWriter

public class QuietWriter
extends FilterWriter

QuietWriter does not throw exceptions when things go wrong. Instead, it delegates error handling to its `ErrorHandler`.

Since:
  0.7.3
Author:
  Ceki Gülcü

Field Summary
`protected ErrorHandler` | `errorHandler`

Fields inherited from class java.io.FilterWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`QuietWriter(Writer writer, ErrorHandler errorHandler)`

Method Summary
`void` | `flush()`
`void` | `setErrorHandler(ErrorHandler eh)`
`void` | `write(String string)`

Methods inherited from class java.io.FilterWriter
`close, write, write, write`

Methods inherited from class java.io.Writer
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorHandler

    protected ErrorHandler errorHandler

Constructor Detail

### QuietWriter

    public QuietWriter(Writer writer,
                       ErrorHandler errorHandler)

Method Detail

### write

    public void write(String string)

  Overrides:
    `write` in class `Writer`

### flush

    public void flush()

  Overrides:
    `flush` in class `FilterWriter`

### setErrorHandler

    public void setErrorHandler(ErrorHandler eh)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.